tigase.jaxmpp.core.client.xml

## Class XMLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - tigase.jaxmpp.core.client.exceptions.JaxmppException
      - - tigase.jaxmpp.core.client.xml.XMLException

- All Implemented Interfaces:
    Serializable

      public class XMLException
      extends JaxmppException

  Exception for XML errors.
  Author:
    Mads Randstoft
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLException()` Creates a new instance of `XMLException` without detail message.
    `XMLException(String msg)` Constructs an instance of `XMLException` with the specified detail message.
    `XMLException(String msg, Throwable cause)` Constructs an instance of `XMLException` with the specified detail message and cause.
    `XMLException(Throwable cause)` Constructs an instance of `XMLException` with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLException

          public XMLException()

      Creates a new instance of `XMLException` without detail message.

    - #### XMLException

          public XMLException(String msg)

      Constructs an instance of `XMLException` with the specified detail message.
      Parameters:
        `msg` - the detail message.

    - #### XMLException

          public XMLException(String msg,
                              Throwable cause)

      Constructs an instance of `XMLException` with the specified detail message and cause.
      Parameters:
        `msg` - the detail message.
        `cause` - the cause.

    - #### XMLException

          public XMLException(Throwable cause)

      Constructs an instance of `XMLException` with the specified cause.
      Parameters:
        `cause` - the cause.

Copyright © 2006–2016 Tigase. All rights reserved.